package org.ananas.mac.menu;

/*
 * Copyright 2003, Benoit Marchal. All rights reserved.
 * Distributed under the artistic license (open source).
 * See www.ananas.org for licensing information.
 */

import java.awt.*;
import com.apple.mrj.*;

class PreferencesItem
   extends MacItem
   implements MRJPrefsHandler, Runnable
{
   public void handlePrefs()
   {
      EventQueue.invokeLater(this);
   }

   public void run()
   {
      fireActionPerformed();
   }

   protected void register()
   {
      MRJApplicationUtils.registerPrefsHandler(this);
   }
}