package org.ananas.xm.eclipse;

import org.eclipse.ui.plugin.*;
import org.eclipse.core.runtime.*;
import org.eclipse.jface.preference.*;

/**
 * @author bmarchal
 */
public class XMPlugin
   extends AbstractUIPlugin
   implements PluginConstants
{
   // shared instance (singleton pattern)
   private static XMPlugin plugin;

   public XMPlugin(IPluginDescriptor descriptor)
   {
      super(descriptor);
      plugin = this;
   }
   
   public static XMPlugin getDefault()
   {
      return plugin;
   }

   protected void initializeDefaultPreferences(IPreferenceStore store)
   {
      store.setDefault(LEVEL_PREFERENCE_NAME,LEVEL_ALL);
   }
}